%define _modulesdir %_libdir/X11/modules

Name: xorg-drv-evdev
Version: 2.0.3
Release: alt0.M41.1
Serial: 2
Summary: Generic Linux input driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

PreReq: XORG_ABI_XINPUT = %get_xorg_abi_xinput
Provides: xorg-x11-drv-evdev = %serial:%version-%release
Obsoletes: xorg-x11-drv-evdev

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: gcc-c++ xorg-proto-devel xorg-sdk xorg-util-macros

%description
evdev  is  an  Xorg  input  driver for Linux generic event devices.
It therefore supports all input devices that the kernel knows
about, including most mice and keyboards.

%def_disable static

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_modulesdir/input/*.so
%_man4dir/*

%changelog
* Fri Aug 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:2.0.3-alt0.M41.1
- build for branch 4.1

* Fri Aug 01 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:2.0.3-alt1
- 2.0.3

* Mon Jul 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:2.0.2-alt1
- 2.0.2

* Mon Jun 23 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:2.0.1-alt2
- fixed xorg/module version

* Sun Jun 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:2.0.1-alt1
- 2.0.1

* Wed Jun 18 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:2.0.0-alt1
- 2.0.0 release

* Wed Jun 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.99.4-alt1
- 2.0 RC4

* Wed Jun 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.99.3-alt1
- 2.0 RC3

* Tue Jun 10 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.99.2-alt3
- added middle-mouse button emulation

* Sat Jun 07 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.99.2-alt2
- fixed parameters of InitValuatorClassRec

* Mon Jun 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.99.2-alt1
- 2.0 RC2
- renamed xorg-x11-drv-evdev to xorg-drv-evdev
- added requires XORG_ABI_XINPUT = 2.0

* Tue Jan 29 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt3
- initialise b_map_data to correct size

* Tue Jan 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt2
- don't flush buttons on init

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt1
- 1.2.0

* Sat Dec 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.5-alt1
- 1.1.5

* Thu Nov 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.4-alt1
- 1.1.4

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.3-alt1
- 1.1.3

* Tue May 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.2-alt3
- CVS snapshot 2006-05-15

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.2-alt2
- requires xorg-x11-server >= 1.0.99.901

* Mon May 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.2-alt1
- 1.1.2

* Fri Apr 21 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt1
- 1.1.1

* Sun Mar 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0.5-alt2
- CVS snapshot 20060227

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0.2-alt0.1
- initial release

